Subject: bug#64518: 29.0.92; outline-mode sexp movement commands don't follow outline structure

From: Spencer Baugh <[email-masked]>
Date: Fri, 07 Jul 2023 12:21:14 -0400

This is more of a feature request.

Functions like C-M-f (forward-sexp) and C-M-SPC (mark-sexp) are supposed
to be configured by individual modes to behave in a way appropriate for
that mode.  But outline-mode does not do this.

For example, C-M-b/C-M-f ({backward,forward}-sexp) could behave like
outline-{backward,forward}-same-level, since that's analogous to how
they behave in Lisp.  C-M-SPC could behave like outline-mark-subtree.
C-M-u could back out of the current heading, up to the next level, lke
outline-up-heading.  And so on.

Since these are the standard Emacs structured editing commands, it would
be good for outline-mode to customize them to have the correct
"structured" behavior.  (Probably behind some defcustom, since this
would be a behavior change)

Right now they are much less useful than they could otherwise be...